std::stack::empty(3)

NAME
std::stack::empty - std::stack::empty

Synopsis
   bool empty() const; (until C++20)
   [[nodiscard]] bool empty() const; (since C++20)
   Checks if the underlying container has no elements. Equivalent to return c.empty();.

Parameters
   (none)

Return value
   true if the underlying container is empty, false otherwise.

Complexity
   Constant.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <stack>
 int main()
 {
     std::cout << std::boolalpha;
     std::stack<int> stack;
     std::cout << "Initially, stack.empty(): " << stack.empty() << '\n';
     stack.push(42);
     std::cout << "After adding elements, stack.empty(): " << stack.empty() << '\n';
 }

Output:
 Initially, stack.empty(): true
 After adding elements, stack.empty(): false

See also
   size returns the number of elements
           (public member function)
   empty checks whether the container is empty
   (C++17) (function template)